commit:     979a9bd8a6f13aa110f158e8fa8185d82f79cfb6
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sat Nov 14 20:20:22 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Nov 14 20:20:22 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=979a9bd8

x11-libs/libast: disable static libs

Closes: https://bugs.gentoo.org/726142
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 x11-libs/libast/libast-0.7-r2.ebuild | 17 +++++++----------
 1 file changed, 7 insertions(+), 10 deletions(-)

diff --git a/x11-libs/libast/libast-0.7-r2.ebuild 
b/x11-libs/libast/libast-0.7-r2.ebuild
index 1d705a9e46f..15f7036f245 100644
--- a/x11-libs/libast/libast-0.7-r2.ebuild
+++ b/x11-libs/libast/libast-0.7-r2.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 DESCRIPTION="LIBrary of Assorted Spiffy Things"
 HOMEPAGE="http://www.eterm.org/download/";
@@ -22,22 +22,19 @@ RDEPEND="
        media-libs/freetype
        imlib? ( media-libs/imlib2 )
        pcre? ( dev-libs/libpcre )"
-
 DEPEND="${RDEPEND}"
 
-DOCS=( README DESIGN ChangeLog )
-
-src_prepare() {
-       default
-       local myregexp="posix"
-       use pcre && myregexp="pcre"
+src_configure() {
        econf \
                $(use_with imlib) \
                $(use_enable cpu_flags_x86_mmx mmx) \
-               --with-regexp="${myregexp}"
+               --with-regexp=$(usex pcre pcre posix) \
+               --disable-static
 }
 
 src_install() {
        default
-       emake DESTDIR="${D}" install
+       dodoc DESIGN
+
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to